﻿using System.Web;
using System.Web.Optimization;

namespace MvcApplication66
{
    public class BundleConfig
    {
        // For more information on bundling, visit http://go.microsoft.com/fwlink/?LinkId=301862
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(new ScriptBundle("~/Scripts/jqueryJs").Include(
                        "~/Scripts/jquery-{version}.js",
                        "~/Scripts/jquery.validate*",
                        "~/Scripts/modernizr-*"));
            bundles.Add(new ScriptBundle("~/Scripts/ejScripts").Include(
                        "~/Scripts/ej/ej.web.all.min.js"));
            bundles.Add(new StyleBundle("~/Content/ejThemes")
                .Include("~/Content/ej/web/ej.widgets.core.min.css", new CssRewriteUrlTransform())
                    .Include("~/Content/ej/web//Default-theme/ej.theme.min.css", new CssRewriteUrlTransform()));
            BundleTable.EnableOptimizations = false;
            bundles.Add(
               new ScriptBundle("~/Scripts/OtherJs").Include(
               "~/Scripts/bootstrap.min.js",
               "~/Scripts/respond.min.js",
               "~/Scripts/jquery-ui-1.11.4.min.js"
               ));
            bundles.Add(new StyleBundle("~/Content/themes/base/css").Include(
                        "~/Content/themes/base/jquery.ui.core.css",
                        "~/Content/themes/base/jquery.ui.resizable.css",
                        "~/Content/themes/base/jquery.ui.selectable.css",
                        "~/Content/themes/base/jquery.ui.accordion.css",
                        "~/Content/themes/base/jquery.ui.autocomplete.css",
                        "~/Content/themes/base/jquery.ui.button.css",
                        "~/Content/themes/base/jquery.ui.dialog.css",
                        "~/Content/themes/base/jquery.ui.slider.css",
                        "~/Content/themes/base/jquery.ui.tabs.css",
                        "~/Content/themes/base/jquery.ui.datepicker.css",
                        "~/Content/themes/base/jquery.ui.progressbar.css",
                        "~/Content/themes/base/jquery.ui.theme.css"));
        }

    }
}
